www.cendio.com

Bug 5190

Summary: Remove Web Integration from tl-setup
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: Server InstallerAssignee: Karl Mikaelsson <derfian@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: 4.2.0Keywords: hean01_tester, pcok, relnotes
Target Milestone: 4.10.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
* Apache integration should not be installed with tl-setup * It should be possible to install the Apache integration by hand * The manual installation process and prerequisites should be described in the administrators guide
Bug Depends on: 4597    
Bug Blocks: 6082    

Description From cendio 2014-06-17 09:39:57
Currently, we let tl-setup create an Apache config file, so that tlclient.cgi
can easily be deployed. When the Java Client Applet is removed, tlclient.cgi
will only be used for portal integration of the native client. We could
consider letting the customer configure Apache etc manually in case they want
to use this functionality.
------- Comment #1 From cendio 2016-11-15 10:34:30 -------
We need to make sure the documentation is sufficient to configure this by hand.
Exactly how this needs to be structured is still an open question.
------- Comment #2 From cendio 2018-07-03 11:27:00 -------
Note the problems in bug 5706 and bug 5576 when documenting this.
------- Comment #3 From cendio 2018-08-29 17:12:46 -------
Bug 5916 will become obsolete by removing the auto-install steps from tl-setup.
The root problem will still remain though, so it should probably still be
mentioned in any new installation documentation.
------- Comment #4 From cendio 2018-08-31 11:23:01 -------
(In reply to comment #3)
> Bug 5916 will become obsolete by removing the auto-install steps from tl-setup.
> The root problem will still remain though, so it should probably still be
> mentioned in any new installation documentation.

I've changed my mind after discussing this with Henrik - I will not write
anything in the documentation about configuring the firewall for the web
server.
------- Comment #8 From cendio 2018-09-13 11:02:22 -------
> * Apache integration should not be installed with tl-setup
>

Installation of Web Integration is removed from tl-setup

> * It should be possible to install the Apache integration by hand
>
>
> * The manual installation process and prerequisites should be described in the administrators guide
>

Our documentation describes the requirements and installation process which
fulfills the two acceptance criteria mentioned above.
------- Comment #9 From cendio 2018-09-13 11:08:25 -------
The script install-web-integration does not support an "upgrade", eg. if once
run all subsequent calls to the script will fail with:

  Found Apache configuration directory: /etc/apache2/conf-enabled
  ERROR: /etc/apache2/conf-enabled/thinlinc.conf already exists!

  If you wish to install the configuration file to a different
  file name, set the environment variable APACHE_CONF_NAME to the
  desired file name and re-run this script. Example:

    env APACHE_CONF_NAME=thinlinc-portal-integration.conf
/opt/thinlinc/share/web_integration/install-web-integration

This means if thinlinc.conf is changed with an release it will not be upgrade.

Possible solution is to always overwrite and add a note about upgrading in
documentation.
------- Comment #12 From cendio 2018-09-13 14:30:22 -------
(In reply to comment #9)
> The script install-web-integration does not support an "upgrade", eg. if once
> run all subsequent calls to the script will fail with:
> 
>   Found Apache configuration directory: /etc/apache2/conf-enabled
>   ERROR: /etc/apache2/conf-enabled/thinlinc.conf already exists!
> 
>   If you wish to install the configuration file to a different
>   file name, set the environment variable APACHE_CONF_NAME to the
>   desired file name and re-run this script. Example:
> 
>     env APACHE_CONF_NAME=thinlinc-portal-integration.conf
> /opt/thinlinc/share/web_integration/install-web-integration
> 
> This means if thinlinc.conf is changed with an release it will not be upgrade.
> 
> Possible solution is to always overwrite and add a note about upgrading in
> documentation.

Fixed by r33666.
------- Comment #14 From cendio 2018-09-13 16:06:12 -------
Finally verified that release notes which also looks good.